Package: org.apache.groovy.util.concurrent

## [Java] Class ConcurrentReferenceHashMap.SimpleEntry<K, V>

- org.apache.groovy.util.concurrent.ConcurrentReferenceHashMap.SimpleEntry

- All Implemented Interfaces and Traits:
    Entry, Serializable

      protected static class ConcurrentReferenceHashMap.SimpleEntry<K, V>
      extends Object
      implements Entry, Serializable

  Simple mutable entry implementation used by the map views.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected K` | `key` | Entry key.
    `protected V` | `value` | Entry value.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleEntry(K key, V value)` Creates an entry with the supplied key and value.
    `SimpleEntry(Entry<? extends K, ? extends V> entry)` Creates an entry by copying another entry.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public boolean` | `equals(Object o)` {@inheritDoc}
    `` | `public K` | `getKey()` {@inheritDoc}
    `` | `public V` | `getValue()` {@inheritDoc}
    `` | `public int` | `hashCode()` {@inheritDoc}
    `` | `public V` | `setValue(V value)` {@inheritDoc}
    `` | `public String` | `toString()` {@inheritDoc}

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final K key

      Entry key.

    - #### protected V value

      Entry value.

  - ### Constructor Detail

    - #### public SimpleEntry(K key, V value)

      Creates an entry with the supplied key and value.

      Parameters:
        `key` - the entry key
        `value` - the entry value

    - #### public SimpleEntry(Entry<? extends K, ? extends V> entry)

      Creates an entry by copying another entry.

      Parameters:
        `entry` - the entry to copy

  - ### Method Detail

    - #### public boolean equals(Object o)

      {@inheritDoc}

    - #### public K getKey()

      {@inheritDoc}

    - #### public V getValue()

      {@inheritDoc}

    - #### public int hashCode()

      {@inheritDoc}

    - #### public V setValue(V value)

      {@inheritDoc}

    - #### public String toString()

      {@inheritDoc}